[ Maverik Level 1 functions ]

#

mav_quaternionInterpolate

## Summary

Interpolates a quaternion.

## Syntax

MAV_quaternion mav_quaternionInterpolate(MAV_quaternion st, MAV_quaternion fi, float val);

- MAV_quaternion st
  Start quaternion.

- MAV_quaternion fi
  Finish quaternion.

- float val
  Interpolation constant in the range (0.0--1.0).

## Description

This function performs spherical linear interpolation between quaternions `st` and `fi`, returning the result.

Back to the index page.